# $Revision: 1.27 $, $Date: 2008-04-05 18:41:47 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Data-Inheritable
Summary:	Class::Data::Inheritable - inheritable, overridable class data
Summary(pl.UTF-8):	Class::Data::Inheritable - dziedziczona, przykrywalna klasa danych
Name:		perl-Class-Data-Inheritable
Version:	0.08
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fc0fe65926eb8fb932743559feb54eb9
URL:		http://search.cpan.org/dist/Class-Data-Inheritable/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Data::Inheritable is for creating accessor/mutators to class
data.  That is, if you want to store something about your class as
a whole (instead of about a single object).  This data is then
inherited by your subclasses and can be overriden.

%description -l pl.UTF-8
Moduł Class::Data::Inheritable służy do tworzenia dodatkowych danych
klasy (accessors/mutators), czyli do przechowywania czegoś o klasie
jako całości (zamiast o pojedynczym obiekcie). Te dane są potem
dziedziczone przez podklasy i mogą być przykryte innymi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Class/Data/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Data-Inheritable.spec,v $
Revision 1.27  2008-04-05 18:41:47  qboosh
- generic URL

Revision 1.26  2008-04-02 08:47:59  arekm
- up to 0.08

Revision 1.25  2007/03/29 16:27:12  radek
- version 0.06

Revision 1.24  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.22  2006/04/08 16:11:09  migo
- do not include %{perl_vendorlib}/Class/Data directory in package

Revision 1.21  2005/11/01 16:56:16  migo
- up to 0.04

Revision 1.20  2004/11/03 22:30:09  paladine
- formatting

Revision 1.19  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.18  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.16  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.14  2004/04/22 20:04:09  ankry
- bcond for tests

Revision 1.13  2004/04/22 20:01:01  ankry
- rel. 4 for Ac

Revision 1.12  2004/04/18 17:24:15  ankry
- summary, description and license fixes

Revision 1.11  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.10  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:28:01  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/16 23:22:13  ankry
- translations, cleaning
- simplify %%files
- release 2

Revision 1.2  2002/07/15 22:14:37  qboosh
- pl description try... (but I can't find "accessor" in any dictionary,
  and "mutator" here must mean something else...)

Revision 1.1  2002/07/15 07:41:52  depesz
- spec by Radosław Zieliński
